Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.i18n
Class HttpMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.transport.http.i18n.HttpMessages

    public class HttpMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`HttpMessages()`

Method Summary
`static Message` | `cannotBindToAddress(String path)`
`static Message` | `couldNotSendExpect100()`
`static Message` | `customHeaderMapDeprecated()`
`static Message` | `eventPropertyNotSetCannotProcessRequest(String property)`
`static Message` | `failedToConnect(URI uri)`
`static Message` | `httpParameterNotSet(String string)`
`static Message` | `malformedSyntax()`
`static Message` | `methodNotAllowed(String method)`
`static Message` | `pollingReciverCannotbeUsed()`
`static Message` | `receiverPropertyNotSet()`
`static Message` | `requestFailedWithStatus(String string)`
`static Message` | `requestLineIsMalformed(String line)`
`static Message` | `sslHandshakeDidNotComplete()`
`static Message` | `unableToGetEndpointUri(String requestURI)`
`static Message` | `unsupportedMethod(String method)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpMessages

    public HttpMessages()

Method Detail

### requestFailedWithStatus

    public static Message requestFailedWithStatus(String string)

### unableToGetEndpointUri

    public static Message unableToGetEndpointUri(String requestURI)

### receiverPropertyNotSet

    public static Message receiverPropertyNotSet()

### httpParameterNotSet

    public static Message httpParameterNotSet(String string)

### malformedSyntax

    public static Message malformedSyntax()

### methodNotAllowed

    public static Message methodNotAllowed(String method)

### failedToConnect

    public static Message failedToConnect(URI uri)

### cannotBindToAddress

    public static Message cannotBindToAddress(String path)

### eventPropertyNotSetCannotProcessRequest

    public static Message eventPropertyNotSetCannotProcessRequest(String property)

### unsupportedMethod

    public static Message unsupportedMethod(String method)

### couldNotSendExpect100

    public static Message couldNotSendExpect100()

### requestLineIsMalformed

    public static Message requestLineIsMalformed(String line)

### pollingReciverCannotbeUsed

    public static Message pollingReciverCannotbeUsed()

### sslHandshakeDidNotComplete

    public static Message sslHandshakeDidNotComplete()

### customHeaderMapDeprecated

    public static Message customHeaderMapDeprecated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.